summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPacho Ramos <pacho@gentoo.org>2018-03-13 13:49:56 +0100
committerPacho Ramos <pacho@gentoo.org>2018-03-13 13:54:09 +0100
commit6560ec1ca3478e3bb6ed04a3034bd9ebf19ca526 (patch)
treeb477ed47a1e7e7542f1181e353411ec330dc6e4b
parentapp-text/atril: remove unnecessary := subslot operator on poppler (diff)
downloadgentoo-6560ec1ca3478e3bb6ed04a3034bd9ebf19ca526.tar.gz
gentoo-6560ec1ca3478e3bb6ed04a3034bd9ebf19ca526.tar.bz2
gentoo-6560ec1ca3478e3bb6ed04a3034bd9ebf19ca526.zip
sys-apps/colorized-logs: Version bump
Package-Manager: Portage-2.3.24, Repoman-2.3.6
-rw-r--r--sys-apps/colorized-logs/Manifest1
-rw-r--r--sys-apps/colorized-logs/colorized-logs-2.3.ebuild24
2 files changed, 25 insertions, 0 deletions
diff --git a/sys-apps/colorized-logs/Manifest b/sys-apps/colorized-logs/Manifest
index 1a28835356c..21000007649 100644
--- a/sys-apps/colorized-logs/Manifest
+++ b/sys-apps/colorized-logs/Manifest
@@ -1 +1,2 @@
DIST colorized-logs-2.1.tar.gz 9997 BLAKE2B 5d6b184102c63dad8526f1feebbd84531a18f2505801f4bedd62cbdfa04bd919b750b60b37fec5449b1a5b98500dcbd7feec7b7155ca0c779d31ea66d8305e28 SHA512 d03919cfa19d6df41bcb9dd6bb29e436febff4ed4d50d9ce83910bfdb61acbf323ecd4dcf9eaa9cfae3bb338b2107f1d156815848b8da8b470c50651650dfee1
+DIST colorized-logs-2.3.tar.gz 10270 BLAKE2B 3b0798139e96512b4d544c76bcbece81283a77dd7deca8b018bb0ddd9535eb80f88b8f10a9a9a20c4f98b67cc97bb7673de80339bcc45c5ce46b8e8dfe53a53b SHA512 a15616f0548c0a91dc290fb6a9c6a8376b66ebc2fb1af21e1caed03c95c07b8536d8a81dd9e199d54ffa5339d0f777cabe75e23fda3bb916575fe3ac31bf51f9
diff --git a/sys-apps/colorized-logs/colorized-logs-2.3.ebuild b/sys-apps/colorized-logs/colorized-logs-2.3.ebuild
new file mode 100644
index 00000000000..bee91bfd74a
--- /dev/null
+++ b/sys-apps/colorized-logs/colorized-logs-2.3.ebuild
@@ -0,0 +1,24 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit cmake-utils
+
+DESCRIPTION="Tools for logs with ANSI color"
+HOMEPAGE="https://github.com/kilobyte/colorized-logs/"
+SRC_URI="https://github.com/kilobyte/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+DEPEND=""
+RDEPEND="${DEPEND}"
+
+src_install() {
+ cmake-utils_src_install
+ # Rename to not collide with dev-python/ansi2html
+ mv "${ED}/usr/bin/ansi2html" "${ED}/usr/bin/cl-ansi2html" || die
+ mv "${ED}/usr/share/man/man1/ansi2html.1" "${ED}/usr/share/man/man1/cl-ansi2html.1" || die
+}